<?php
require "../config.php";

if (!isset($_GET['id'])) {
    echo json_encode(["erro" => "ID não enviado"]);
    exit;
}

$id = intval($_GET['id']);

$sql = "SELECT * FROM categorias WHERE id = $id LIMIT 1";
$result = mysqli_query($mysqli, $sql);

if ($row = mysqli_fetch_assoc($result)) {
    echo json_encode($row);
} else {
    echo json_encode(["erro" => "Categoria não encontrada"]);
}
